let () =
  try
    let f = Sys.argv.(1) in
    match Dimacs.check_file f with
    | Dimacs.Sat -> Format.printf "Sat@."
    | Dimacs.Unsat -> Format.printf "Unsat@."
  with e when not (Debug.test_flag Debug.stack_trace) ->
    Format.eprintf "%a@." Exn_printer.exn_printer e;
    exit 1

